package org.tbasket.db.schemas

import io.getquill.*

case class Team(id: Int, name: String, clubName: String)
object Team:

  import org.tbasket.db.Database.ctx.*

  val schema = quote {
    querySchema[Team](
      "team",
      _.id -> "id",
      _.name -> "name",
      _.clubName -> "club_name"
    )
  }
