package org.tbasket.db.schemas

import io.getquill.*
import org.tbasket.db.Database

case class Member(team: Team, user: User, admin: Boolean)

object Member:

  import Database.ctx.*

  val schema = quote {
    querySchema[Member](
      "member",
      _.team.id -> "team_id",
      _.user.id -> "user_id",
      _.admin -> "is_admin"
    )
  }
