package org.tbasket.api.compute

import zio.*
import zio.http.model.Status
import zio.http.{Request, Response}

trait APIRequestHandler:

  def get: Task[Response] =
    ZIO.succeed(Response(Status.MethodNotAllowed))

  def post: Task[Response] =
    ZIO.succeed(Response(Status.MethodNotAllowed))
